macroScript PropertyAdder
category:"KFScripts" 
toolTip:"Property Adder 1.00" 
buttonText:"Property Adder 1.00"
--------------------------------
----v1.00 of Property Adder-----
-----Written by Kiel Figgins----
-------www.3dfiggins.com--------
--------------------------------
--Automated interface for assigning custom Properties
--------------------
--Version History
--------------------
-----
--1.00 (10-11-2006) - Original Script
--------------------
--Coming Soon
--------------------
--clear lines buttons in multiline area
--Option to clear inputs after setting (additional fields and extra lines, radios)
--Check boxes (Add to Existing Properties, default false and Reset After Adding, default false, next to help area, add prop button with num 4 moved to left side

(--Start Script
try(destroydialog propAdder)catch()
rollout propAdder "Property Adder                                                          v1.00" 
(
	label lbl001 "1." pos:[3,5] width:12 height:14
	radioButtons rdoCmdType "" pos:[17,4] width:307 height:16 labels:#("None", "CmdTrans", "CmdRot", "CmdScale") columns:4
	label lbl002 "2." pos:[3,27] width:12 height:14
	radioButtons rdoKeyType "" pos:[17,25] width:307 height:16 labels:#("None", "KeyTrans", "KeyRot", "KeyScale") columns:4
	label lbl003 "3." pos:[3,46] width:12 height:14
	editText edtCust "Additional:   " pos:[18,47] width:270 height:17
	button btnAddAttr "Add Properties" pos:[79,70] width:114 height:22
	button btnMore "..." pos:[290,47] width:14 height:17 tooltip:"Additional Lines"
	button btnClear "<" pos:[290,67] width:14 height:14 tooltip:"Clears Additional Text"
	button btnHelp "?" pos:[290,81] width:14 height:14 tooltip:"Opens Help Window"

	rollout moreLines "More Lines"
	(
		editText edtCust01 "Line1:   " pos:[3,5] width:300 height:17
		editText edtCust02 "Line2:   " pos:[3,30] width:300 height:17
		editText edtCust03 "Line3:   " pos:[3,55] width:300 height:17
		editText edtCust04 "Line4:   " pos:[3,80] width:300 height:17
		editText edtCust05 "Line5:   " pos:[3,105] width:300 height:17
		editText edtCust06 "Line6:   " pos:[3,130] width:300 height:17
	)--End of Rollout moreLines

on btnMore pressed do
(
	createDialog moreLines pos:[992,200] width:311 height:152
)--End of btnMore

on btnClear pressed do
(
edtCust.text = ""
print custLine06
)--End of btnClear
on btnAddAttr pressed do
(
--verify a selection
rightSel = selection.count

--determine what CMD radio is selected
rdoCmd = rdoCmdType.state

rdoOut = ""

if rdoCmd == 2 then
(rdoOut = "Command = max_move\r\nExport = False\r\n") else()

if rdoCmd == 3 then
(rdoOut = "Command = max_rotate\r\nExport = False\r\n") else()

if rdoCmd == 4 then
(rdoOut = "Command = max_scale\r\nExport = False\r\n") else()

--determine what Key radio is selected
rdoKey = rdoKeyType.state

rdoKeyOut = ""

if rdoKey == 2 then
(rdoKeyOut = "KeyframeType = RT\r\n") else()

if rdoKey == 3 then
(rdoKeyOut = "KeyframeType = R\r\n") else()

if rdoKey == 4 then
(rdoKeyOut = "KeyframeType = RTS\r\n") else()

--Gather Any Additional Properties
custOut = edtCust.text as string

try(
custLine01 = moreLines.edtCust01.text as string
custLine02 = moreLines.edtCust02.text as string
custLine03 = moreLines.edtCust03.text as string
custLine04 = moreLines.edtCust04.text as string
custLine05 = moreLines.edtCust05.text as string
custLine06 = moreLines.edtCust06.text as string
) catch

if custOut == undefined then
	(custOut = "") else(custOut = custOut + "\r\n")

if custLine01 == undefined then
	(custOut01 = "") else(custOut01 = custLine01 + "\r\n")
if custLine02 == undefined then
	(custOut02 = "") else(custOut02 = custLine02 + "\r\n")
if custLine03 == undefined then
	(custOut03 = "") else(custOut03 = custLine03 + "\r\n")
if custLine04 == undefined then
	(custOut04 = "") else(custOut04 = custLine04 + "\r\n")
if custLine05 == undefined then
	(custOut05 = "") else(custOut05 = custLine05 + "\r\n")
if custLine06 == undefined then
	(custOut06 = "") else(custOut06 = custLine06 + "\r\n")

spacer = "\r\n"	

newProp = (rdoOut + rdoKeyOut + custOut + spacer + custOut01 + custOut02 + custOut03 + custOut04 + custOut05 + custOut06) as string


if rightSel == 0 then
	(print "Please Select an Object")
	else
	(
	selArray = selection as array
	
	for i = 1 to rightSel do
		(
		local CurObj = selArray[i]
		
		setUserPropBuffer CurObj newProp
		)--End of For Loop
	)--End of Else

clearSelection()

rdoCmdType.state = 1
rdoKeyType.state = 1

)--End of btnAddAttr

)--End of Rollout
createDialog propAdder pos:[992,80] width:311 height:96 \
style:#(#style_border, #style_titlebar, #style_sysmenu, #style_minimizebox)
try(cui.RegisterDialogBar propAdder maxsize:[311,96]) catch()

)--End of Script
